package md

const IMEggEnergyExchange = "im.egg.energy"

const (
	IMEggEnergyRoutKeyForBatchSendMessageData       = "batch_send_message_data"        // 批量发送信息
	IMEggEnergyRoutKeyForDelFriendCircleCommentData = "del_friend_circle_comment_data" // 删除朋友圈评论
	IMEggEnergyRoutKeyForSendRedPackage             = "send_red_package"               // 发红包
)

type IMEggEnergyStructForBatchSendMessageData struct {
	ReceiverType int    `json:"receiver_type"` // 接受者类型 1:用户 2:群组
	MessageType  int    `json:"message_type"`  // 消息类型(0未知 1文本 2表情 3语音消息 4图片 5文件 6地理位置 7指令推送 8自定义 9撤回消息 10红包消息)
	SendId       int64  `json:"send_id"`       // 发送者 id
	ReceiveIMId  int64  `json:"receive_id"`    // 接受者IM id
	Content      string `json:"content"`       // 消息内容
}

type IMEggEnergyStructForDelFriendCircleCommentData struct {
	CommentIndexId string `json:"comment_index_id"` // 文章索引
}

type IMEggEnergyStructForSendRedPackageData struct {
	Uid int64 `json:"uid"`
}
