package enum

// UserLevelTaskType 会员等级-等级任务-分类
type UserLevelTaskType int

const (
	DirectPushMembersNum UserLevelTaskType = iota + 1
	DirectPushActiveDayNum
	DirectPushLevel
	DirectPushMembersNumActivity
)

func (kind UserLevelTaskType) String() string {
	switch kind {
	case DirectPushMembersNum:
		return "直推会员人数"
	case DirectPushActiveDayNum:
		return "直推会员活跃天数"
	case DirectPushLevel:
		return "直推会员等级"
	case DirectPushMembersNumActivity:
		return "直推会员有效活跃人数"
	default:
		return "未知状态"
	}
}
