package enum

// EggEnergyAvailableEnergyFlowKind 可用蛋蛋能量流水-种类
type EggEnergyAvailableEnergyFlowKind int

const (
	PersonalActivePointRedemption EggEnergyAvailableEnergyFlowKind = iota + 1
	TeamActivePointRedemption
	AccountBalanceExchangeEggEnergy
	EggEnergyExchangeAccountBalance
	SettlementStarLevelDividends
	CommunityDividends
	PlatformProfitability
	MarketplaceMerchantNumsAutoExchangeMarketplaceMerchantFunds
	MarketplaceMerchantFundsAutoExchangeMarketplaceMerchantNums
	CapitalInjection
)

func (kind EggEnergyAvailableEnergyFlowKind) String() string {
	switch kind {
	case PersonalActivePointRedemption:
		return "个人活跃值兑换"
	case TeamActivePointRedemption:
		return "团队活跃值兑换"
	case AccountBalanceExchangeEggEnergy:
		return "余额兑换蛋蛋能量"
	case EggEnergyExchangeAccountBalance:
		return "蛋蛋能量兑换余额"
	case SettlementStarLevelDividends:
		return "星级分红"
	case CommunityDividends:
		return "社区分红"
	case PlatformProfitability:
		return "平台盈利"
	case MarketplaceMerchantNumsAutoExchangeMarketplaceMerchantFunds:
		return "市商数量自动兑换市商资金"
	case MarketplaceMerchantFundsAutoExchangeMarketplaceMerchantNums:
		return "市商资金自动兑换市商数量"
	default:
		return "未知状态"
	}
}
